# ScrollOrientation

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the scroll bar orientation for the [Scroll](/api/wisej.web/content/scrollbar.md#scroll) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ScrollOrientation : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ScrollOrientation As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                 | Description                |
| -------------------- | -------------------------- |
| **HorizontalScroll** | The horizontal scroll bar. |
| **VerticalScroll**   | The vertical scroll bar.   |

## Used By

| Name                                                                                                                 | Description                                                      |
| -------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------- |
| [ScrollEventArgs.ScrollOrientation](/api/wisej.web/content/scrollbar/wisej.web.scrolleventargs.md#scrollorientation) | Returns the scroll bar orientation that raised the Scroll event. |
| [ScrollProperties.Orientation](/api/wisej.web/content/scrollbar/wisej.web.scrollproperties.md#orientation)           | Returns the orientation of the scrollbar.                        |
| [HScrollProperties.Orientation](/api/wisej.web/content/scrollbar/wisej.web.hscrollproperties.md#orientation)         | Returns the orientation of the scrollbar.                        |
| [VScrollProperties.Orientation](/api/wisej.web/content/scrollbar/wisej.web.vscrollproperties.md#orientation)         | Returns the orientation of the scrollbar.                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.scrollorientation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
